Bug 1312339 - Test misc_test fails on ppc64 Big Endian architecture for package libtomcrypt
Test misc_test fails on ppc64 Big Endian architecture for package libtomcrypt
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtomcrypt (Show other bugs)
24
ppc64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker
  Show dependency treegraph
 
Reported: 2016-02-26 08:14 EST by Sinny Kumari
Modified: 2016-03-09 10:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 10:47:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sinny Kumari 2016-02-26 08:14:39 EST
Description of problem:
Test misc_test fails on ppc64 BE with following error message:

misc_test.....
RPM build errors:
Algorithm failed test vectors. (5)
misc_test.c:18:crc32_test()
error: Bad exit status from /var/tmp/rpm-tmp.xYmIrH (%check)
    Bad exit status from /var/tmp/rpm-tmp.xYmIrH (%check)

Complete build log is available at http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/2547/3172547/build.log from koji build http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3172546

Version-Release number of selected component (if applicable): libtomcrypt-1.17-28.fc24

Additional info:
Failure happens only when following section in test file testprof/misc_test.c runs :

#ifdef LTC_CRC32
   DO(crc32_test());
#endif

If we comment this section, remaining tests and build pass successfully.
Comment 1 Dan Horák 2016-03-01 09:51:07 EST
The lib overrides the distro-wide -O2 into -O3, but even going down to -O0 did not help, same no change with -fno-strict-aliasing or -mno-lra (as the usual tricks), we are still investigating.
Comment 2 Rafael Fonseca 2016-03-03 10:16:27 EST
There is a chance it's a bug in the code. I reported it upstream [1].

[1] https://github.com/libtom/libtomcrypt/issues/109
Comment 3 Dan Horák 2016-03-03 12:37:06 EST
And same problem on s390x, so it's likely big endian problem. I haven't expected a rebase under the same version ...
Comment 4 Ngo Than 2016-03-09 10:47:22 EST
i created a fix for this issue and send the patch to upstream. It built fine with the fix.

http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2146729
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3210976

Note You need to log in before you can comment on or make changes to this bug.